Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/promotions/tiers \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "tiers",
"tiers": [
{
"id": "promo_NzjTc3ZXTe7md5SziK3uYtei",
"created_at": "2022-09-21T11:38:34.962Z",
"name": "Order more than $100",
"banner": "Order more than $100",
"action": {
"discount": {
"type": "AMOUNT",
"amount_off": 3000,
"effect": "APPLY_TO_ORDER"
}
},
"metadata": {},
"hierarchy": 1,
"promotion_id": "camp_VEL7UX0jZjrvLx3hfNZBVzpq",
"campaign": {
"id": "camp_VEL7UX0jZjrvLx3hfNZBVzpq",
"start_date": "2022-09-21T00:00:00.000Z",
"expiration_date": "2022-09-30T00:00:00.000Z",
"validity_timeframe": {
"interval": "P3D",
"duration": "P2D"
},
"validity_day_of_week": [
1,
2,
3,
4,
5
],
"active": true,
"category_id": "cat_0bb81a481615a37b5e",
"object": "campaign"
},
"campaign_id": "camp_VEL7UX0jZjrvLx3hfNZBVzpq",
"active": true,
"start_date": "2022-09-21T00:00:00.000Z",
"expiration_date": "2022-09-30T00:00:00.000Z",
"validity_timeframe": {
"interval": "P3D",
"duration": "P2D"
},
"validity_day_of_week": [
1,
2
],
"summary": {
"redemptions": {
"total_redeemed": 0
},
"orders": {
"total_amount": 0,
"total_discount_amount": 0
}
},
"object": "promotion_tier",
"validation_rule_assignments": null
},
{
"id": "promo_RaYHtUBre5jU8frUXOvYBtlN",
"created_at": "2021-12-15T11:34:01.358Z",
"updated_at": "2022-02-09T09:20:08.619Z",
"name": "Hot Promotion - Tier 2",
"banner": "Get Tier 2 Discount $20 Off",
"action": {
"discount": {
"type": "AMOUNT",
"amount_off": 2000,
"effect": "APPLY_TO_ORDER"
}
},
"metadata": {},
"hierarchy": 2,
"promotion_id": "camp_5h0wc453_5",
"campaign": {
"id": "camp_5h0wc453_5",
"start_date": null,
"expiration_date": null,
"active": true,
"category_id": "cat_0b688929a2476386a6",
"object": "campaign"
},
"campaign_id": "camp_5h0wc453_5",
"active": true,
"summary": {
"redemptions": {
"total_redeemed": 33
},
"orders": {
"total_amount": 519200,
"total_discount_amount": 66000
}
},
"object": "promotion_tier",
"validation_rule_assignments": {
"object": "list",
"data_ref": "data",
"data": [
{
"id": "asgm_pEe1inoYSfmO12p7",
"rule_id": "val_5h0wc453_5",
"related_object_id": "promo_RaYHtUBre5jU8frUXOvYBtlN",
"related_object_type": "promotion_tier",
"created_at": "2021-12-15T11:34:01.358Z",
"object": "validation_rules_assignment"
}
],
"total": 1
}
},
{
"id": "promo_63fYCt81Aw0h7lzyRkrGZh9p",
"created_at": "2021-12-15T11:34:01.333Z",
"updated_at": "2022-02-09T09:20:05.603Z",
"name": "Hot Promotion - Tier 1",
"banner": "Get Tier 1 Discount 10zl",
"action": {
"discount": {
"type": "AMOUNT",
"amount_off": 1000,
"effect": "APPLY_TO_ORDER"
}
},
"metadata": {
"ProductionMetaData": "Hot Promotion - Tier 1"
},
"hierarchy": 1,
"promotion_id": "camp_5h0wc453_5",
"campaign": {
"id": "camp_5h0wc453_5",
"start_date": null,
"expiration_date": null,
"active": true,
"category_id": "cat_0b688929a2476386a6",
"object": "campaign"
},
"campaign_id": "camp_5h0wc453_5",
"active": true,
"summary": {
"redemptions": {
"total_redeemed": 11
},
"orders": {
"total_amount": 1414979,
"total_discount_amount": 11000
}
},
"object": "promotion_tier",
"validation_rule_assignments": {
"object": "list",
"data_ref": "data",
"data": [
{
"id": "asgm_QqYs7GGVy7cuh3L9",
"rule_id": "val_5h0wc453_4",
"related_object_id": "promo_63fYCt81Aw0h7lzyRkrGZh9p",
"related_object_type": "promotion_tier",
"created_at": "2021-12-15T11:34:01.333Z",
"object": "validation_rules_assignment"
}
],
"total": 1
}
}
],
"total": 3
}This method enables you to list promotion tiers.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/promotions/tiers \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "tiers",
"tiers": [
{
"id": "promo_NzjTc3ZXTe7md5SziK3uYtei",
"created_at": "2022-09-21T11:38:34.962Z",
"name": "Order more than $100",
"banner": "Order more than $100",
"action": {
"discount": {
"type": "AMOUNT",
"amount_off": 3000,
"effect": "APPLY_TO_ORDER"
}
},
"metadata": {},
"hierarchy": 1,
"promotion_id": "camp_VEL7UX0jZjrvLx3hfNZBVzpq",
"campaign": {
"id": "camp_VEL7UX0jZjrvLx3hfNZBVzpq",
"start_date": "2022-09-21T00:00:00.000Z",
"expiration_date": "2022-09-30T00:00:00.000Z",
"validity_timeframe": {
"interval": "P3D",
"duration": "P2D"
},
"validity_day_of_week": [
1,
2,
3,
4,
5
],
"active": true,
"category_id": "cat_0bb81a481615a37b5e",
"object": "campaign"
},
"campaign_id": "camp_VEL7UX0jZjrvLx3hfNZBVzpq",
"active": true,
"start_date": "2022-09-21T00:00:00.000Z",
"expiration_date": "2022-09-30T00:00:00.000Z",
"validity_timeframe": {
"interval": "P3D",
"duration": "P2D"
},
"validity_day_of_week": [
1,
2
],
"summary": {
"redemptions": {
"total_redeemed": 0
},
"orders": {
"total_amount": 0,
"total_discount_amount": 0
}
},
"object": "promotion_tier",
"validation_rule_assignments": null
},
{
"id": "promo_RaYHtUBre5jU8frUXOvYBtlN",
"created_at": "2021-12-15T11:34:01.358Z",
"updated_at": "2022-02-09T09:20:08.619Z",
"name": "Hot Promotion - Tier 2",
"banner": "Get Tier 2 Discount $20 Off",
"action": {
"discount": {
"type": "AMOUNT",
"amount_off": 2000,
"effect": "APPLY_TO_ORDER"
}
},
"metadata": {},
"hierarchy": 2,
"promotion_id": "camp_5h0wc453_5",
"campaign": {
"id": "camp_5h0wc453_5",
"start_date": null,
"expiration_date": null,
"active": true,
"category_id": "cat_0b688929a2476386a6",
"object": "campaign"
},
"campaign_id": "camp_5h0wc453_5",
"active": true,
"summary": {
"redemptions": {
"total_redeemed": 33
},
"orders": {
"total_amount": 519200,
"total_discount_amount": 66000
}
},
"object": "promotion_tier",
"validation_rule_assignments": {
"object": "list",
"data_ref": "data",
"data": [
{
"id": "asgm_pEe1inoYSfmO12p7",
"rule_id": "val_5h0wc453_5",
"related_object_id": "promo_RaYHtUBre5jU8frUXOvYBtlN",
"related_object_type": "promotion_tier",
"created_at": "2021-12-15T11:34:01.358Z",
"object": "validation_rules_assignment"
}
],
"total": 1
}
},
{
"id": "promo_63fYCt81Aw0h7lzyRkrGZh9p",
"created_at": "2021-12-15T11:34:01.333Z",
"updated_at": "2022-02-09T09:20:05.603Z",
"name": "Hot Promotion - Tier 1",
"banner": "Get Tier 1 Discount 10zl",
"action": {
"discount": {
"type": "AMOUNT",
"amount_off": 1000,
"effect": "APPLY_TO_ORDER"
}
},
"metadata": {
"ProductionMetaData": "Hot Promotion - Tier 1"
},
"hierarchy": 1,
"promotion_id": "camp_5h0wc453_5",
"campaign": {
"id": "camp_5h0wc453_5",
"start_date": null,
"expiration_date": null,
"active": true,
"category_id": "cat_0b688929a2476386a6",
"object": "campaign"
},
"campaign_id": "camp_5h0wc453_5",
"active": true,
"summary": {
"redemptions": {
"total_redeemed": 11
},
"orders": {
"total_amount": 1414979,
"total_discount_amount": 11000
}
},
"object": "promotion_tier",
"validation_rule_assignments": {
"object": "list",
"data_ref": "data",
"data": [
{
"id": "asgm_QqYs7GGVy7cuh3L9",
"rule_id": "val_5h0wc453_4",
"related_object_id": "promo_63fYCt81Aw0h7lzyRkrGZh9p",
"related_object_type": "promotion_tier",
"created_at": "2021-12-15T11:34:01.333Z",
"object": "validation_rules_assignment"
}
],
"total": 1
}
}
],
"total": 3
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
This parameter allows filtering promotions that are only available at the moment. When set to true, it selects only non-expired and active promotions.
Limits the number of objects to be returned. The limit can range between 1 and 100 items.
1 <= x <= 100Which page of results to return. The lowest value is 1.
1 <= x <= 100Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.
created_at, -created_at, updated_at, -updated_at Returns a dictionary with a tiers property that contains an array of promotion tiers.
Response body schema for GET v1/promotions/{campaignId}/tiers and GET v1/promotions/tiers.
The type of the object represented by JSON. This object stores information about promotion tiers in a dictionary.
Identifies the name of the attribute that contains the array of promotion tier objects.
Contains array of promotion tier objects.
Show child attributes
Total number of promotion tiers.
As query results are always limited (by the limit parameter), the has_more flag indicates if there are more records for given filter parameters. This lets you know if you can run another request to get more records returned in the results.
Was this page helpful?